mapping = {
    'Abkhazia': None,
    'Afghanistan': 'afg',
    'Akrotiri and Dhekelia': None,
    'Åland': 'ala',
    'Albania': 'alb',
    'Algeria': 'dza',
    'American Samoa': 'asm',
    'Andorra': 'and',
    'Angola': 'ago',
    'Anguilla': 'aia',
    'Antarctica': 'ata',
    'Antigua and Barbuda': 'atg',
    'Argentina': 'arg',
    'Armenia': 'arm',
    'Aruba': 'abw',
    'Australia': 'aus',
    'Austria': 'aut',
    'Azerbaijan': 'aze',
    'Bahamas': 'bhs',
    'Bahrain': 'bhr',
    'Bangladesh': 'bgd',
    'Barbados': 'brb',
    'Belarus': 'blr',
    'Belgium': 'bel',
    'Belize': 'blz',
    'Benin': 'ben',
    'Bermuda': 'bmu',
    'Bhutan': 'btn',
    'Bolivia': 'bol',
    'Bosnia and Herzegovina': 'bih',
    'Botswana': 'bwa',
    'Bouvet Island': 'bvt',
    'Brazil': 'bra',
    'British Indian Ocean Territory': 'iot',
    'British Virgin Islands': 'vgb',
    'Brunei': 'brn',
    'Bulgaria': 'bgr',
    'Burkina Faso': 'bfa',
    'Burundi': 'bdi',
    'Cambodia': 'khm',
    'Cameroon': 'cmr',
    'Canada': 'can',
    'Cape Verde': 'cpv',
    'Cayman Islands': 'cym',
    'Central African Republic': 'caf',
    'Chad': 'tcd',
    'Channel Islands': None,
    'Chile': 'chl',
    'China': 'chn',
    'Christmas Island': 'cxr',
    'Clipperton': None,
    'Cocos Island': 'cck',
    'Colombia': 'col',
    'Comoros': 'com',
    'Congo, Dem. Rep.': 'cod',
    'Congo, Rep.': 'cog',
    'Cook Islands': 'cok',
    'Costa Rica': 'cri',
    "Cote d'Ivoire": 'civ',
    'Croatia': 'hrv',
    'Cuba': 'cub',
    'Curaçao': 'cuw',
    'Cyprus': 'cyp',
    'Czech Republic': 'cze',
    'Czechoslovakia': None,
    'Denmark': 'dnk',
    'Djibouti': 'dji',
    'Dominica': 'dma',
    'Dominican Republic': 'dom',
    'East Germany': None,
    'Ecuador': 'ecu',
    'Egypt': 'egy',
    'El Salvador': 'slv',
    'Equatorial Guinea': 'gnq',
    'Eritrea': 'eri',
    'Eritrea and Ethiopia': None,
    'Estonia': 'est',
    'Ethiopia': 'eth',
    'Faeroe Islands': 'fro',
    'Falkland Is (Malvinas)': 'flk',
    'Fiji': 'fji',
    'Finland': 'fin',
    'France': 'fra',
    'French Guiana': 'guf',
    'French Polynesia': 'pyf',
    'French Southern and Antarctic Lands': None,
    'Gabon': 'gab',
    'Gambia': 'gmb',
    'Gaza Strip': None,
    'Georgia': 'geo',
    'Germany': 'deu',
    'Ghana': 'gha',
    'Gibraltar': 'gib',
    'Greece': 'grc',
    'Greenland': 'grl',
    'Grenada': 'grd',
    'Guadeloupe': 'glp',
    'Guam': 'gum',
    'Guatemala': 'gtm',
    'Guernsey': 'ggy',
    'Guinea': 'gin',
    'Guinea-Bissau': 'gnb',
    'Guyana': 'guy',
    'Haiti': 'hti',
    'Heard and McDonald Islands': 'hmd',
    'Vatican City': 'vat',
    'Honduras': 'hnd',
    'Hong Kong, China': 'hkg',
    'Hungary': 'hun',
    'Iceland': 'isl',
    'India': 'ind',
    'Indonesia': 'idn',
    'Iran': 'irn',
    'Iraq': 'irq',
    'Ireland': 'irl',
    'Isle of Man': 'imn',
    'Israel': 'isr',
    'Italy': 'ita',
    'Jamaica': 'jam',
    'Japan': 'jpn',
    'Jersey': 'jey',
    'Jordan': 'jor',
    'Kazakhstan': 'kaz',
    'Kenya': 'ken',
    'Kiribati': 'kir',
    'Kosovo': None,
    'Kuwait': 'kwt',
    'Kyrgyz Republic': 'kgz',
    'Laos': 'lao',
    'Latvia': 'lva',
    'Lebanon': 'lbn',
    'Lesotho': 'lso',
    'Liberia': 'lbr',
    'Libya': 'lby',
    'Liechtenstein': 'lie',
    'Lithuania': 'ltu',
    'Luxembourg': 'lux',
    'Macao, China': 'mac',
    'North Macedonia': 'mkd',
    'Madagascar': 'mdg',
    'Malawi': 'mwi',
    'Malaysia': 'mys',
    'Maldives': 'mdv',
    'Mali': 'mli',
    'Malta': 'mlt',
    'Marshall Islands': 'mhl',
    'Martinique': 'mtq',
    'Mauritania': 'mrt',
    'Mauritius': 'mus',
    'Mayotte': 'myt',
    'Mexico': 'mex',
    'Micronesia, Fed. Sts.': 'fsm',
    'Moldova': 'mda',
    'Monaco': 'mco',
    'Mongolia': 'mng',
    'Montenegro': 'mne',
    'Montserrat': 'msr',
    'Morocco': 'mar',
    'Mozambique': 'moz',
    'Myanmar': 'mmr',
    'Namibia': 'nam',
    'Nauru': 'nru',
    'Nepal': 'npl',
    'Netherlands': 'nld',
    'Netherlands Antilles': None,
    'New Caledonia': 'ncl',
    'New Zealand': 'nzl',
    'Ngorno-Karabakh': None,
    'Nicaragua': 'nic',
    'Niger': 'ner',
    'Nigeria': 'nga',
    'Niue': 'niu',
    'Norfolk Island': 'nfk',
    'North Korea': 'prk',
    'North Yemen (former)': None,
    'Northern Cyprus': None,
    'Northern Mariana Islands': 'mnp',
    'Norway': 'nor',
    'Oman': 'omn',
    'Pakistan': 'pak',
    'Palau': 'plw',
    'Palestine': 'pse',
    'Panama': 'pan',
    'Papua New Guinea': 'png',
    'Paraguay': 'pry',
    'Peru': 'per',
    'Philippines': 'phl',
    'Pitcairn': 'pcn',
    'Poland': 'pol',
    'Portugal': 'prt',
    'Puerto Rico': 'pri',
    'Qatar': 'qat',
    'Reunion': 'reu',
    'Romania': 'rou',
    'Russia': 'rus',
    'Rwanda': 'rwa',
    'Samoa': 'wsm',
    'San Marino': 'smr',
    'Sao Tome and Principe': 'stp',
    'Saudi Arabia': 'sau',
    'Senegal': 'sen',
    'Serbia': 'srb',
    'Serbia and Montenegro': None,
    'Serbia excluding Kosovo': None,
    'Seychelles': 'syc',
    'Sierra Leone': 'sle',
    'Singapore': 'sgp',
    'Sint Maarten (Dutch part)': 'sxm',
    'Slovak Republic': 'svk',
    'Slovenia': 'svn',
    'Solomon Islands': 'slb',
    'Somalia': 'som',
    'Somaliland': None,
    'South Africa': 'zaf',
    'South Georgia and the South Sandwich Islands': 'sgs',
    'South Korea': 'kor',
    'South Ossetia': None,
    'South Sudan': 'ssd',
    'South Yemen (former)': None,
    'South Vietnam': None,
    'Spain': 'esp',
    'Sri Lanka': 'lka',
    'St. Barthélemy': 'blm',
    'St. Helena': 'shn',
    'St. Kitts and Nevis': 'kna',
    'St. Lucia': 'lca',
    'St. Martin': None,
    'St. Martin (French part)': 'maf',
    'St. Vincent and the Grenadines': 'vct',
    'St.-Pierre-et-Miquelon': 'spm',
    'Sudan': 'sdn',
    'Suriname': 'sur',
    'Svalbard': 'sjm',
    'Swaziland': 'swz',
    'Sweden': 'swe',
    'Switzerland': 'che',
    'Syria': 'syr',
    'Taiwan': 'twn',
    'Tajikistan': 'tjk',
    'Tanzania': 'tza',
    'Thailand': 'tha',
    'Timor-Leste': 'tls',
    'Togo': 'tgo',
    'Tokelau': 'tkl',
    'Tonga': 'ton',
    'Transnistria': None,
    'Trinidad and Tobago': 'tto',
    'Tunisia': 'tun',
    'Turkey': 'tur',
    'Turkmenistan': 'tkm',
    'Turks and Caicos Islands': 'tca',
    'Tuvalu': 'tuv',
    'Uganda': 'uga',
    'Ukraine': 'ukr',
    'United Arab Emirates': 'are',
    'United Kingdom': 'gbr',
    'United Korea (former)': None,
    'United States': 'usa',
    'Uruguay': 'ury',
    'US Minor Outlying Islands': 'umi',
    'USSR': None,
    'Uzbekistan': 'uzb',
    'Vanuatu': 'vut',
    'Venezuela': 'ven',
    'Vietnam': 'vnm',
    'Virgin Islands (U.S.)': 'vir',
    'Wallis et Futuna': 'wlf',
    'West Bank': None,
    'West Germany': None,
    'Western Sahara': 'esh',
    'Yemen': 'yem',
    'Yugoslavia': None,
    'Zambia': 'zmb',
    'Zimbabwe': 'zwe',
    'Islamic Republic of Afghanistan': 'afg',
    'Åland Island': 'ala',
    'Neth. Antilles': None,
    'UAE': 'are',
    'Bahrein': 'bhr',
    'Bahamas, The': 'bhs',
    'The Bahamas': 'bhs',
    'Bosnia & Herzegovina': 'bih',
    'Bosnia Herzegovena': 'bih',
    'Bosnia and H.': 'bih',
    'Bosnia': 'bih',
    'Bolivia (Plurinational State of)': 'bol',
    'Bolivia Plurinational States of': 'bol',
    'PLURINATIONAL STATE OF BOLIVIA': 'bol',
    'Brunei Darussalam': 'brn',
    'Central AfR': 'caf',
    'Cen African Rep': 'caf',
    'China (Mainland)': 'chn',
    'China, mainland': 'chn',
    "Côte d'Ivoire": 'civ',
    'Ivory Coast': 'civ',
    'Cote Divoire': 'civ',
    'Cote d`Ivoire': 'civ',
    'Congo (Democratic Republic of the)': 'cod',
    'Congo Dem Rep': 'cod',
    'Democratic Republic of Congo': 'cod',
    'Democratic Republic Of The Congo': 'cod',
    'Democratic Republic of the Congo': 'cod',
    'Congo/Zaire': 'cod',
    'Republic of Congo': 'cog',
    'Congo - Brazzaville': 'cog',
    'Republic of the Congo': 'cog',
    'Congo (Republic of)': 'cog',
    'Congo Brazzaville': 'cog',
    'Congo-Brz': 'cog',
    'Cook Is': 'cok',
    'Comores': 'com',
    'Cabo Verde': 'cpv',
    'Czechia': 'cze',
    'Czech Rep': 'cze',
    'Dominican Rep': 'dom',
    'DominicanRep': 'dom',
    'Dom.R.': 'dom',
    'Egypt, Arab Rep.': 'egy',
    'Falkland Islands': 'flk',
    'Faroe Islands': 'fro',
    'Micronesia (Federated States of': 'fsm',
    'Micronesia': 'fsm',
    'Federated States of Micronesia': 'fsm',
    'Micronesia (Fed. States of)': 'fsm',
    'Micronesia, Federated States of': 'fsm',
    'UKG': 'gbr',
    'U.K. of Great Britain and Northern Ireland': 'gbr',
    'United Kingdom of Great Britain and Northern Ireland': 'gbr',
    'UK': 'gbr',
    'Gambia The': 'gmb',
    'Gambia, The': 'gmb',
    'The Gambia': 'gmb',
    'GuineaBiss': 'gnb',
    'Guinea Bissau': 'gnb',
    'Germany East': None,
    'Equa Guinea': 'gnq',
    'Guyana (Fr.)': 'guf',
    'Hong Kong SAR': 'hkg',
    'Hong Kong, China (SAR)': 'hkg',
    'Hong Kong SAR, China': 'hkg',
    'Hongkong': 'hkg',
    'Hong Kong': 'hkg',
    'Vatican City State': 'vat',
    'Iran (Islamic Rep. of)': 'irn',
    'Islamic Republic of Iran': 'irn',
    'Iran, Islamic Rep.': 'irn',
    'Iran, Islamic Rep. of': 'irn',
    'JAPAN (EXCLUDING THE RUYUKU ISLANDS)': 'jpn',
    'Kyrgyz': 'kgz',
    'Kyrgyzstan': 'kgz',
    'St Kitts and Nevis': 'kna',
    'Saint Kitts and Nevis': 'kna',
    'Saint Kitts & Nevis': 'kna',
    'Korea (Rep. of)': 'kor',
    'Korea, South': 'kor',
    'Korea (Republic of)': 'kor',
    'Korea, Rep. of': 'kor',
    'United Korea': None,
    'Korea North': 'prk',
    'Korea South': 'kor',
    "Lao People's Dem.  Rep.": 'lao',
    'Lao People’s Democratic Republic': 'lao',
    'Lao P.D.R.': 'lao',
    'Lao PDR': 'lao',
    'Lao': 'lao',
    'Libyan Arab Jamahiriya': 'lby',
    'Saint Lucia': 'lca',
    'St Lucia': 'lca',
    'St.Lucia': 'lca',
    'Macau': 'mac',
    'China, Macao SAR': 'mac',
    'MACAU SPECIAL ADMINISTRATIVE REGION OF CHINA': 'mac',
    'Macao': 'mac',
    'Moldova, Rep. of': 'mda',
    'Moldova, Republic of': 'mda',
    'Republic of Moldova': 'mda',
    'Moldova (Republic of)': 'mda',
    'The former Yugoslav Republic of Macedonia': 'mkd',
    'Macedonia': 'mkd',
    'TFYR Macedonia': 'mkd',
    'Macedonia, FYR': 'mkd',
    'T.F.Y.R. Macedonia': 'mkd',
    'Myanmar [Burma]': 'mmr',
    'MYANMAR (FORMERLY BURMA)': 'mmr',
    'Myanmar/Burma': 'mmr',
    'Burma': 'mmr',
    'The Netherlands': 'nld',
    'Curacao': 'cuw',
    'Pitcairn Islands': 'pcn',
    'Papua NG': 'png',
    "Democratic People's Republic of Korea": 'prk',
    'Korea, Democratic Republic of': 'prk',
    "Dem. People's Rep. of Korea": 'prk',
    'Korea, North': 'prk',
    'State of Palestine': 'pse',
    'OPT': 'pse',
    'Palestinian territories': 'pse',
    'Occupied Palestinian Territory': 'pse',
    'Réunion': 'reu',
    'Russian Federation': 'rus',
    'Republic of Sudan': 'sdn',
    'Republic Of Sudan': 'sdn',
    'Svalbard and Jan Mayen': 'sjm',
    'Solomon Isl.': 'slb',
    'SierraLeo': 'sle',
    'Saint Pierre and Miquelon': 'spm',
    'Sudan South': 'ssd',
    'St. Barthelemy': 'blm',
    'Saint Barthelemy': 'blm',
    'São Tomé and Principe': 'stp',
    'São Tomé and Príncipe': 'stp',
    'Slovak Rep.': 'svk',
    'Slovakia': 'svk',
    'Slovak Rep': 'svk',
    'Syrian Arab Republic': 'syr',
    'Kingdom of Eswatini': 'swz',
    'Turks and Caicos': 'tca',
    'Dem. Republic of Timor-Leste': 'tls',
    'East Timor': 'tls',
    'Timor Leste': 'tls',
    'Timor, East': 'tls',
    'Trinidad & Tobago': 'tto',
    'Trinidad': 'tto',
    'Taiwan Province of China': 'twn',
    'China, Taiwan Province of': 'twn',
    'Republic of China (Taiwan)': 'twn',
    'Tanzania, U. Rep. of': 'tza',
    'Tanzania (United Republic of)': 'tza',
    'United Republic of Tanzania': 'tza',
    'U.S.A.': 'usa',
    'U.S.': 'usa',
    'United States of America': 'usa',
    'USA': 'usa',
    'U.S.S.R.': None,
    'Soviet Union': None,
    'St Vincent': 'vct',
    'St Vincent & the Grenadines': 'vct',
    'St. Vincent and G.': 'vct',
    'Saint Vincent and the Grenadines': 'vct',
    'Venezuela (Bolivarian Republic of)': 'ven',
    'Venezuela (Bolivarian Republic of': 'ven',
    'Venezuela, RB': 'ven',
    'United States Virgin Islands': 'vir',
    'Viet Nam': 'vnm',
    'Wallis and Futuna': 'wlf',
    'Wallis and Futuna Islands': 'wlf',
    'Samoa (Western)': 'wsm',
    'Yemen Republic': 'yem',
    'Yemen South': None,
    'Yugoslav SFR': None,
    'South Africa Republic': 'zaf',
    'Vietnam South': None
    }